<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."banner_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."banner_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."banner_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."banner_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['BRS000'];
$inf_description = $locale['BRS001'];
$inf_version = "2.0.4";
$inf_developer = "AusiMods";
$inf_email = "support@ausimods.net";
$inf_weburl = "http://www.ausimods.net";

$inf_folder = "banner_panel"; // The folder in which the infusion resides.



// Delete any items not required here.
$inf_newtable[1] = DB_BANNER." (
bid int( 11 ) NOT NULL AUTO_INCREMENT ,
cid int( 11 ) NOT NULL default '0',
imptotal int( 11 ) NOT NULL default '0',
impmade int( 11 ) NOT NULL default '0',
clicks int( 11 ) NOT NULL default '0',
imageurl varchar( 100 ) NOT NULL default '',
clickurl varchar( 200 ) NOT NULL default '',
date datetime default NULL ,
enddate DATETIME NOT NULL ,
status ENUM( '0', '1' ) NOT NULL,
PRIMARY KEY ( bid )
) TYPE=MyISAM;";

//early update
//dbquery("DROP TABLE IF EXISTS ".$db_prefix."bannerfinish;");



$inf_droptable[1] = DB_BANNER;

//early update
//$inf_altertable[1] = "banner ADD enddate DATETIME NOT NULL;";
//$inf_altertable[2] = "banner ADD status ENUM( '0', '1' ) NOT NULL ;";

//$inf_deldbrow[1] = "other_table";

$inf_adminpanel[1] = array(
	"title" => $locale['BRS000'],
	"image" => "",
	"panel" => "admin/index.php",
	"rights" => "BP"
);

$inf_sitelink[1] = array(
	"title" => $locale['BRS002'],
	"url" => "index.php",
	"visibility" => "101"
);

?>
